import styles from '@/components/MeetingDisconnected/index.module.scss'
import { InfoCircleOutlined } from '@ant-design/icons';
import { useState, useImperativeHandle, forwardRef } from "react";
const MeetingDisconnected = forwardRef((props: any, ref: any) => {
  useImperativeHandle(ref, () => ({
    changeModal: (bool: boolean) => {
      setIsMeetingDisconnectedModal(bool)
    }
  }))
  const [isMeetingDisconnectedModal, setIsMeetingDisconnectedModal] = useState(false);
  return (
    <>
      {isMeetingDisconnectedModal ? <div className={styles.meetingDisconnected}>
        <InfoCircleOutlined style={{ marginRight: '10px', color: '#faad14' }} />网络已断开，尝试重新连接中...
      </div> : null}
    </>
  )
})

export default MeetingDisconnected